function m          = markupH_trans(c_ji,c_comp,Q_i,psiH,gvars)
% markupH computes the markup in i charged by a j-producer with cost c_ji
% markupH(c_ji,c_comp) gives the optimal markup charged
% by a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp
% default if outcompeted == 1

X                   = ndgrid(c_ji,c_comp);


% in the game
m                   = priceH_trans(c_ji,c_comp,Q_i,psiH,gvars) ./ X;

% outcompeted
m( m == Inf)        = 1;

%% to undo exo size, remove Q_i in argument of function and priceH call
end