function payroll    = payrollM_trans(c_ji,Q_i,psiM,gvars)
% payrollM_trans computes the wage bill
% of a j-producer with cost c_ji with pop constraint multiplier psiM
% payrollM(c_ji,Q_i) gives the wage bill of 
% a j-monopolist with cost c_ji in a CES setup


payroll             = wageM_trans(psiM,gvars) .* ...
                        sizeM_trans(c_ji,Q_i,psiM,gvars);
end