function profits    = profitsM(c_ji,Q_i,gvars)
% profitsM computes the profit in i made by a j-producer with cost c_ji
% profitsM(c_ji,Q_i) gives the optimal profit earned
% by a j-monopolist with cost c_ji in a CES setup
markup              = gvars.markup;
lambda              = gvars.lambda;

profits             = (1-lambda).*(1 - 1/markup).*...
                        revenuesM(c_ji,Q_i,gvars);
end