function profits    = profitsM_trans(c_ji,Q_i,psiM,gvars)
% profitsM_trans computes the profit in i made 
% by a j-producer with cost c_ji with pop constraint multiplier psiM
% profitsM(c_ji,Q_i) gives the optimal profit earned
% by a j-monopolist with cost c_ji in a CES setup
markup              = gvars.markup;
lambda              = gvars.lambda;

markup_constr       = markup.*(1+psiM);

profits             = (1-lambda).*(1 - 1./markup_constr).*...
                        revenuesM_trans(c_ji,Q_i,psiM,gvars);
end