function u          =  util_trans(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars)
% utility in a symmetric equilibrium conditions
% assume w_0 = b = 1

eta                 = gvars.eta;

% workers in the differentiated sector
q0                  =  cons0_trans(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars);

u                   = q0 + (1/eta)*Q^eta;
end