function w          = wageM(gvars)
% wageM computes the wage in i set by a j-producer with cost c_ji
% wageM gives the optimal wage set
% by a j-monopolist with cost c_ji in a CES setup
markup              = gvars.markup;
lambda              = gvars.lambda;
gamma               = gvars.gamma;
b                   = gvars.b;


w                   = b + lambda.*(markup -1).*(gamma + b);
end