function I  = myquad(fcn_pdf, a, b,varargin)

Nk          =  249;

hv          = (b - a)/(Nk - 1);

kv          = 1:1:Nk;

wv          = ones(1,Nk); wv(2:2:Nk -1) = 4; wv(3:2:Nk - 2) = 2;

[W , H]     = meshgrid(wv,hv);

[K , A]     = meshgrid(kv,a);

WH          = (W .* H) ./ 3;

X           = A + (K - 1) .* H;


I           = sum ( WH .* fcn_pdf(X) , 2);

I           = reshape(I, size(a));

end
