function on         = operateH(c_ji,c_comp,varargin)
% operateH == whether a j-producer with cost c_ji facing c_comp operates
% operateH(c_ji,c_comp,Q_i) gives the status(operate/shutdown) of
% a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp

if numel(c_ji)      == 1
on                  = ones(size(c_comp));


on(c_ji > c_comp)   = 0;   
                            
elseif numel(c_comp) == 1
on                  = ones(size(c_ji));


on(c_ji > c_comp)   = 0;       
    
end

end
