function p          = priceM(c_ji,gvars)
% priceM computes the price in i charged by a j-producer with cost c_ji
% priceM(c_ji) gives the optimal price charged
% by a j-monopolist with cost c_ji in a CES setup
markup              = gvars.markup;

p                   = markup.*c_ji;
end