function profits    = profitsH(c_ji,c_comp,Q_i,gvars)
% profitsH computes the profit in i made by a j-producer with cost c_ji
% profitsH(P_i,R_i,c_ji,c_comp) gives the optimal profit earned
% by a duopolist with unit cost c_ji
% and a competitor from 1-j with unit cost c_comp
lambda              = gvars.lambda;                
                    
profits             = (1-lambda).*(1 - 1./markupH(c_ji,c_comp,gvars)).*...
                        revenuesH(c_ji,c_comp,Q_i,gvars);
                    
end