function w          = wageH_trans(c_ji,c_comp,Q_i,psiH,gvars)
% markupH computes the wage paid by a j-producer with cost c_ji
% markupH(c_ji,c_comp) gives the optimal markup charged
% by a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp
% default if outcompeted == 1

lambda              = gvars.lambda;
gamma               = gvars.gamma;
b                   = gvars.b;


% wages
w                   = b + ...
                      lambda.*(markupH_trans(c_ji,c_comp,Q_i,psiH,gvars) -1).*...
                      (gamma + b);

%% to undo exo size, remove Q_i in argument of function and markupH call

end