function weight     = weightH(c,cH_max,gvars)

H                   = gvars.H;

gamma               = gvars.gamma;
b                   = gvars.b;
delta               = gvars.delta;

% unit cost upper bounds
c_max               = gamma + b;

% measures
Hhat                = delta*H*(1 - F_ji(c_max,cH_max,gvars));


% revenue function weighted by pdf
weight             = (H-Hhat).*...
                        ( ...
                            dF_ji(c_max,c,gvars) .* ...
                             ((1-delta) + delta.*(c <= cH_max)) ...
                        )./...
                        ((1-delta) + delta.*F_ji(c_max,cH_max,gvars));


end